TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GuiControl Class Reference

Inherits SimGroup.

Inherited by GuiCanvas, and SceneWindow.

## Public Member Functions
void | addGuiControl (int controlId)
Integer | findHitControl (int x, int y)
String | getCenter ()
String | getExtent (...)
String | getGlobalCenter ()
String | getGlobalPosition ()
String | getMinExtent ()
Integer | getParent ()
String | getPosition ()
String | getValue ()
Boolean | isActive ()
Boolean | isAwake ()
Boolean | isVisible ()
void | makeFirstResponder (isFirst)
Boolean | pointInControl (int x, int y)
void | reorderChild (child1, child2)
void | resize (int x, int y, int w, int h)
void | setActive (isActive)
void | setCanSave (bool canSave)
void | setCenter (int x, int y)
void | setExtent (int width, int height)
void | setFirstResponder ()
void | setPosition (int x, int y)
void | setPositionGlobal (int x, int y)
void | setProfile (GuiControlProfile p)
void | setValue (value)
void | setVisible (isVisible)

## Member Function Documentation

void addGuiControl | ( | int | controlId | ) |

Adds the gui control

Parameters

  controlId | integer ID of the control to add

Returns
  No Return value

Integer findHitControl | ( | int | x,
|  | int | y
| ) |  |

Searches for the control at the given point

Returns
  Returns the Id of the control at the point

String getCenter | ( |  | ) |

Returns
  Returns center of control, as space seperated ints

String getExtent | ( |  | ... | ) |

Get the width and height of the control.

Returns
  The height and width as a string with space-separated integers

String getGlobalCenter | ( |  | ) |

Returns
  Returns center of control, as space seperated ints

String getGlobalPosition | ( |  | ) |

Returns
  Returns the control's position converted to global coordinates (position as space-separted integers)

String getMinExtent | ( |  | ) |

Get the minimum allowed size of the control.

Returns
  Returns the minimum extent as a string with space separated point values <width> <height>

Integer getParent | ( |  | ) |

Returns
  Returns the Id of the parent control

String getPosition | ( |  | ) |

Returns
  A string set up as <pos.x> <pos.y>\

String getValue | ( |  | ) |

Use the getValue method to get the control-specific 'value' for this control.

Returns
  Returns a control-specific specific value. Varies by control

Boolean isActive | ( |  | ) |

Use the isActive method to determine if this control is active. An inactive control may visible, but will not accept inputs. It will also normally re-shade or re-skin itself to reflect its inactive state

Returns
  Returns true if this control is active.

Boolean isAwake | ( |  | ) |

Use the isAwake method to determine if this control is awake.

Returns
  Returns true if this control is awake and ready to display

Boolean isVisible | ( |  | ) |

Use the isVisible method to determine if this control is visible. This can return true, even if the entire control covered by another. This merely means that the control will render if not covered

Returns
  Returns true if the control is visible.

void makeFirstResponder | ( | isFirst |  | ) |

Use the makeFirstResponder method to force this control to become the first responder.

Parameters

  isFirst | A boolean value. If true, then this control become first reponder and at captures inputs before all other controls, excluding dialogs above this control.

Returns
  No return value

Boolean pointInControl | ( | int | x,
|  | int | y
| ) |  |

Check if point id in the control

Parameters

  x | Point x coordinate in parent coords
  y | Point y coordinate in parent coords

Returns
  Returns true if the point is in the control, false otherwise

void reorderChild | ( | child1 | ,
|  | child2 |
| ) |  |

uses simset reorder to push child 1 after child 2 - both must already be child controls of this control

void resize | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Resizes the control to the given dimensions

void setActive | ( | isActive |  | ) |

Use the setActive method to (de)activate this control. Once active, a control can accept inputs. Controls automatically re-shade/skin themselves to reflect their active/inactive state.

Parameters

  isActive | A boolean value. f isActive is true, this control is activated, else it is set to inactive.

Returns
  No return value

void setCanSave | ( | bool | canSave | ) |

Sets whether this control can serialize itself to the hard disk

Parameters

  Flag | setting

Returns
  No Return Value

void setCenter | ( | int | x,
|  | int | y
| ) |  |

Sets control position, by center - coords are local not global

Returns
  No Return value.

void setExtent | ( | int | width,
|  | int | height
| ) |  |

Sets the width & height of the control.

Returns
  No Return Value.

void setFirstResponder | ( |  | ) |

Sets this control as the first responder

void setPosition | ( | int | x,
|  | int | y
| ) |  |

Sets the current control position in local space

Returns
  No Return Value.

void setPositionGlobal | ( | int | x,
|  | int | y
| ) |  |

Sets the control's position in global space

Returns
  No return value

void setProfile | ( | GuiControlProfile | p | ) |

Sets the currently used from for the GuiControl

Parameters

  p | The profile you wish to set the control to use

Returns
  No return value

void setValue | ( | value |  | ) |

Use the setValue method to set the control specific value to value. Purpose and type varies by control type.

Parameters

  value | Some control specific value.

Returns
  No return value

void setVisible | ( | isVisible |  | ) |

Use the setVisible method to (un)hide this control.

Parameters

  isVisible | A boolean value. If true, the control will be made visible, otherwise the control will be hidden.

Returns
  No return value